Only 4 files converted out of ~800.

Bug #940648 reported by Ben Ockmore on 2012-02-24
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
SoundConverter
High
GautierPortet

Bug Description

Using version 2.0.1, I can add 800 songs to SoundConverter. I begina convertion to VBR MP3, and the first 4 files are convert (I'm running 4 parallel processes).

However, when a thread has completed conversion of one song, the thread doesn't start on another file. When all four threads are complete, SoundConverter sits there, doing nothing (as far as I can tell, no conversion is taking place in the bg).

Works fine with smaller numbers of songs.

Ben Ockmore (ben-sput) wrote :

Further info: The GUI seems to be responsive - I can cancel the conversion when the bug occurs. The timer at the bottom of the window seems to disappear when the bug happens.

Have some random data :)

Converting from FLAC, filenames same as input, not creating sub-folders:

Works for 200 songs, 5.6GB, in 11m 11s.
Works for 234 songs, 5.8GB, in 9m 6s.
Works for 276 songs, 7.0GB, in 12m 41s.
Works for 319 songs, 8.3GB, in 14m 30s.
Works for 336 songs, 10.1GB, in 20m 17s. However, again, all 4 threads have to complete for any to move on.

Crashes instantly on 331 songs, 10.2GB.

Begins to work for 362 songs, 9.6GB, but crashes after 7 songs. When the first four songs had completed, 3 of the threads moved onto the next three songs at the same time, but 1 thread didn't get a new song. When the 3 threads completed the next set, the program closed.

Doesn't work for 412 songs, 11.0GB.

Ben Ockmore (ben-sput) wrote :

Didn't work for 323 songs, 7.7GB.

Changed in soundconverter:
assignee: nobody → GautierPortet (kassoulet)
GautierPortet (kassoulet) wrote :

OK, after a massive SSD->ramdisk conversion, I understood the problem. For some obscure reason, updating the individual progresses finish to be slower than the progress update rate, and the UI thread blocks. I think I've a fix.

Mmm, I don't know how to build it, any way you can send me a binary to test?

On Mon, Feb 27, 2012 at 10:04 PM, GautierPortet <email address hidden> wrote:

> Can you try this :
>
> https://github.com/kassoulet/soundconverter/commit/431a484bf68c2fcd9628ba9063db1836ecdf1b68
> ?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/940648
>
> Title:
> Only 4 files converted out of ~800.
>
> Status in SoundConverter:
> New
>
> Bug description:
> Using version 2.0.1, I can add 800 songs to SoundConverter. I begina
> convertion to VBR MP3, and the first 4 files are convert (I'm running
> 4 parallel processes).
>
> However, when a thread has completed conversion of one song, the
> thread doesn't start on another file. When all four threads are
> complete, SoundConverter sits there, doing nothing (as far as I can
> tell, no conversion is taking place in the bg).
>
> Works fine with smaller numbers of songs.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/soundconverter/+bug/940648/+subscriptions
>

Ben Ockmore (ben-sput) wrote :

I've downloaded and extracted it but there's no ./configure file in the
archive

On Tue, Feb 28, 2012 at 9:07 PM, GautierPortet <email address hidden> wrote:

> Try this : https://github.com/kassoulet/soundconverter/tarball/master
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/940648
>
> Title:
> Only 4 files converted out of ~800.
>
> Status in SoundConverter:
> New
>
> Bug description:
> Using version 2.0.1, I can add 800 songs to SoundConverter. I begina
> convertion to VBR MP3, and the first 4 files are convert (I'm running
> 4 parallel processes).
>
> However, when a thread has completed conversion of one song, the
> thread doesn't start on another file. When all four threads are
> complete, SoundConverter sits there, doing nothing (as far as I can
> tell, no conversion is taking place in the bg).
>
> Works fine with smaller numbers of songs.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/soundconverter/+bug/940648/+subscriptions
>

GautierPortet (kassoulet) wrote :

You have to run ./autogen.sh first

Ben Ockmore (ben-sput) wrote :

Ok, I ran autogen.sh but now I get the following errors:

"Please add the files
  codeset.m4 gettext.m4 glibc21.m4 iconv.m4 isc-posix.m4 lcmessage.m4
  progtest.m4
from the /aclocal directory to your autoconf macro directory
or directly to your aclocal.m4 file.
You will also need config.guess and config.sub, which you can get from
ftp://ftp.gnu.org/pub/gnu/config/.

Running intltoolize...
Running aclocal-1.11...
Running autoconf...
Running automake-1.11...
Makefile.am: required file `./ChangeLog' not found"

Don't worry about it if you're sure you've fixed it. :)

On Wed, Feb 29, 2012 at 8:45 AM, GautierPortet <email address hidden> wrote:

> You have to run ./autogen.sh first
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/940648
>
> Title:
> Only 4 files converted out of ~800.
>
> Status in SoundConverter:
> New
>
> Bug description:
> Using version 2.0.1, I can add 800 songs to SoundConverter. I begina
> convertion to VBR MP3, and the first 4 files are convert (I'm running
> 4 parallel processes).
>
> However, when a thread has completed conversion of one song, the
> thread doesn't start on another file. When all four threads are
> complete, SoundConverter sits there, doing nothing (as far as I can
> tell, no conversion is taking place in the bg).
>
> Works fine with smaller numbers of songs.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/soundconverter/+bug/940648/+subscriptions
>

Ben Ockmore (ben-sput) wrote :

Ok, that looks like it solves the problem. Added 500 songs, and didn't
crash like it did before. I like the "Preparing conversion" bit that you've
added too!

On Wed, Feb 29, 2012 at 9:04 PM, GautierPortet <email address hidden> wrote:

> OK, a dist-archive:
> http://dl.dropbox.com/u/182583/soundconverter-2.0.1-ben.tar.xz
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/940648
>
> Title:
> Only 4 files converted out of ~800.
>
> Status in SoundConverter:
> New
>
> Bug description:
> Using version 2.0.1, I can add 800 songs to SoundConverter. I begina
> convertion to VBR MP3, and the first 4 files are convert (I'm running
> 4 parallel processes).
>
> However, when a thread has completed conversion of one song, the
> thread doesn't start on another file. When all four threads are
> complete, SoundConverter sits there, doing nothing (as far as I can
> tell, no conversion is taking place in the bg).
>
> Works fine with smaller numbers of songs.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/soundconverter/+bug/940648/+subscriptions
>

Freya (freya128) wrote :

I think this is the same bug as #784912, at least in my case I have had both the first track only convert and the program just sit there, and also had the UI freeze although in my case no encoding took place but it seemed to vary depending on the quantity of tracks you added.

Freya (freya128) wrote :

I just tried this too. I got some slightly odd behaviour on first running where the UI froze but continued to encode in the background, but oddly, this time it just ignored the first file altogether!

I xkill-ed the app and restarted and tried again and this time it sems to be happily encoding away including the first file and updating the UI. It also seems to be running faster. Maybe this is not the same as #784912, not sure now. Need to investigate further! Very happy it seems to be working again tho! :)

Freya (freya128) wrote :

Okay, I still seem to be getting some quirky behaviour. I guess I'm just suffering lots of issues at once.

Preparing conversion comes up but sometimes it gets kinda stuck and I get a UI freeze with encoding in the background.
It then seems to encode the first track only and then stop.

Cancelling that seems to work for a second but then the UI suddenly freezes again and it seems like it is now encoding all the files again. If I then do an xkill and restart the whole program it suddenly all works fine! In fact then it suddenly seems really fast and incredibly stable.

I think you are really close to finding the magic cookie but it's not there yet.

I wonder if a variable or something isn't always getting instantiated, it's like running it the first time tells it something it needs to know when you run it again. Dunno. Obviously just trying to guess! ;)

Freya (freya128) wrote :

This version is DEFINITELY the best 2.x branch release so far and you should put it out as soon as possible. It's the first one that actually works on more than a few files for me. One thing I've noticed tho, other than a bit of quirkiness, is that when it is working, it seems to take progressively longer and longer to move on to the next file to encode. It's encoding right now and its reached a point where the gaps between encoding are longer than the encodes!

It is working tho! None of the other 2.x releases worked for more than a few files.

Changed in soundconverter:
importance: Undecided → High
GautierPortet (kassoulet) wrote :

Fixed in 2.0.2

Changed in soundconverter:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers